import { h } from "@stencil/core";
import { ErrorState } from "./utils";
export class JustifiDetails {
    render() {
        return (h("div", { key: 'b91f85e2f62f1ea80409367208117f805299c397' }, this.errorMessage ?
            ErrorState(this.errorMessage)
            :
                h("main", { class: "p-2" }, h("slot", { name: "head-info" }), h("slot", { name: 'detail-sections' }))));
    }
    static get is() { return "justifi-details"; }
    static get properties() {
        return {
            "errorMessage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "error-message"
            }
        };
    }
}
